<!DOCTYPE html>
<html lang="en"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Sign up</title>
	<meta charset="UTF-8" />
	<meta name="author" content="David Toth" />
	<meta name="description" content="Agile Project Management" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
</h:head>
<h:body>
	<f:facet name="last">
		<h:outputStylesheet library="webjars" name="font-awesome/5.14.0/css/all.min-jsf.css" />
		<h:outputStylesheet library="webjars" name="font-awesome/5.14.0/css/v4-shims.min-jsf.css" />
		<h:outputStylesheet name="css/primeflex.css"/>
		<h:outputStylesheet name="css/main-style.css"/>
	</f:facet>
	
	<div class="background">
		<div class="form-wrapper sign-up">
			<div class="header">
				<h1>Sign up if you're new here</h1>
			</div>
			<div class="p-grid p-formgrid ui-fluid">
				<h:form id="signUp">
					<p:messages id="messages" globalOnly="true">
						<p:autoUpdate />
					</p:messages>
					<div class="form-control p-field">
						<p:outputLabel for="email" value="E-mail" />
						<div class="input">
							<p:inputText id="email" 
								value="#{signup.email}"
								required="true"
								requiredMessage="Email cannot be empty"
								validatorMessage="Please enter a valid email address">
								<f:validateRegex pattern="^[_A-Za-z0-9-\+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$" />
								<p:clientValidator event="blur" />
							</p:inputText>
							<small><p:message id="email-error" for="email" display="text" /></small>
						</div>
					</div>
					<div class="form-control p-field">
						<p:outputLabel for="firstName" value="First name" styleClass="name-label"/>
						<p:inputText id="firstName"
							value="#{signup.firstName}"
							validatorMessage="Please enter a valid first name">
							<f:validateRegex pattern="^[A-Za-z ]+" />
							<p:clientValidator event="blur" />
						</p:inputText>
						<small><p:message id="firstNameError" for="firstName" display="text" /></small>
					</div>
					<div class="form-control p-field">
						<p:outputLabel for="lastName" value="Last name" styleClass="name-label" />
						<p:inputText id="lastName"
							value="#{signup.lastName}" 
							validatorMessage="Please enter a valid last name">
							<f:validateRegex pattern="^[A-Za-z ]+" />
							<p:clientValidator event="blur" />
						</p:inputText>
						<small><p:message id="lastNameError" for="lastName" display="text" /></small>
					</div>
					<div class="form-control p-field">
						<p:outputLabel for="username" value="Username" />
						<div class="input">
							<p:inputText id="username"
								value="#{signup.username}" 
								required="true"
								requiredMessage="Username cannot be empty">
								<p:clientValidator event="blur" />
							</p:inputText>
							<small><p:message id="usernameError" for="username" display="text" /></small>
						</div>
					</div>
					<div class="form-control p-field">
						<p:outputLabel for="password" value="Password" />
						<div class="input">
							<p:password id="password"
								value="#{signup.password}"
								required="true"
								requiredMessage="Password cannot be empty"
								feedback="true"
								match="confirmPassword"
								validatorMessage="Password has to be between 6 and 20 characters">
								<f:validateLength minimum="6" maximum="20" />
								<p:clientValidator event="blur" />
							</p:password>
							<small><p:message id="passwordError" for="password" display="text" /></small>
						</div>
					</div>
					<div class="form-control p-field">
						<p:outputLabel for="confirmPassword" value="Confirm password" />
						<div class="input">
							<p:password id="confirmPassword"
								value="#{signup.confirmPassword}"
								required="true"
								requiredMessage="Confirm password cannot be empty">
								<p:clientValidator event="blur" />
							</p:password>
							<small><p:message id="confirmPasswordError" for="confirmPassword" display="text" /></small>
						</div>
					</div>
					<div class="btn-submit">
						<p:commandButton id="btnSignup" value="Sign up" action="#{signup.signup()}" validateClient="true" update="@form" ajax="false" />
					</div>
					<div class="form-link">
						<p:separator />
						<span>Already have an account? </span><p:link value="Sign in here." outcome="/login.xhtml"/>
					</div>
				</h:form>
			</div>
		</div>
	</div>
</h:body>		
</html>